{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 7</title>
<link rel='stylesheet' href='{% static "story3/css/style.css"%}'>
<script>
    $(document).ready(function() {
        $(".accordion-content").toggle(false);

        $(".accordion-head-txt").click(function () {
            $(this).parent().next().toggle();
        });

        $(".up-btn").click(function() {
            var $tmp = $(this).parent().parent().parent();
            $tmp.prev().before($tmp);
        });

        $(".dwn-btn").click(function() {
            var $tmp = $(this).parent().parent().parent();
            $tmp.next().after($tmp);
        });
    });
</script>
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story3:index' %}">Back to Story 3</a>
</li>
{% if user.is_authenticated %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story9:logout' %}">Logout</a>
</li>
{% endif %}
{% endblock navbarmenus %}

{% block content %}
<div class="main">
    <div class="section">
        <h1 class="section-title-h1">Story 7</h1>
        <div class="underline story7"></div>
        <div class="accordion">
            <div class="group">
                <div class="accordion-head">
                    <div class="accordion-head-txt">
                        <p class="p-story7">Current Activity</p>
                    </div>
                    <div class="up-down-btn">
                        <button class="story7-btn up-btn">Up</button>
                        <button class="story7-btn dwn-btn">Down</button>
                    </div>
                </div>
                <div class="accordion-content">
                    <ul>
                        <li>Studying Computer Science at UI</li>
                        <li>Watching Netflix and Youtube</li>
                        <li>Browsing Reddit</li>
                    </ul>
                </div>
            </div>
            <div class="group">
                <div class="accordion-head">
                    <div class="accordion-head-txt">
                        <p class="p-story7">Experience</p>
                    </div>
                    <div class="up-down-btn">
                        <button class="story7-btn up-btn">Up</button>
                        <button class="story7-btn dwn-btn">Down</button>
                    </div>
                </div>
                <div class="accordion-content">
                    <ul>
                        <li>Head of High School Christmas event committee</li>
                        <li>Secretary-Treasurer of High School Christian Student Organization</li>
                    </ul>
                </div>
            </div>
            <div class="group">
                <div class="accordion-head">
                    <div class="accordion-head-txt">
                        <p class="p-story7">Achievements</p>
                    </div>
                    <div class="up-down-btn">
                        <button class="story7-btn up-btn">Up</button>
                        <button class="story7-btn dwn-btn">Down</button>
                    </div>
                </div>
                <div class="accordion-content">
                    <p>None, and I mean it.</p>
                </div>
            </div>
            <div class="group">
                <div class="accordion-head">
                    <div class="accordion-head-txt">
                        <p class="p-story7">Goals</p>
                    </div>
                    <div class="up-down-btn">
                        <button class="story7-btn up-btn">Up</button>
                        <button class="story7-btn dwn-btn">Down</button>
                    </div>
                </div>
                <div class="accordion-content">
                    <ul>
                        <li>Working at a big tech company</li>
                        <li>Giving positive impact to anyone around me</li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock content %}